### Method

# Ide CompletionContext set_proposals_for_provider

#### Declaration

    void
    ide_completion_context_set_proposals_for_provider (
      IdeCompletionContext* self,
      IdeCompletionProvider* provider,
      GListModel* results
    )

#### Description

This function allows providers to update their results for a context outside of a call to ide_completion_provider_populate_async(). This can be used to immediately return results for a provider while it does additional asynchronous work. Doing so will allow the completions to update while the operation is in progress.

Available since: | 3.32

#### Parameters

`provider` | `IdeCompletionProvider`
| An `IdeCompletionProvider`.
| The data is owned by the caller of the function.
`results` | `GObject`
| A `GListModel` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.